# Add Patient family member

<mark style="color:green;">`POST`</mark> [`{{apiUrl}}patient/patients/add_family_member`](https://api.evitalrx.in/v1/patient/patients/add_family_member)

#### Request Body

| Name                                                      | Type   | Description                                                                                                                                                                                                                                        |
| --------------------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apikey<mark style="color:red;">\*</mark>                  | String | Authentication token                                                                                                                                                                                                                               |
| mobile                                                    | Number | Mobile number of Patient's family member                                                                                                                                                                                                           |
| first\_name<mark style="color:red;">\*</mark>             | String | First name of Patient's family member                                                                                                                                                                                                              |
| last\_name<mark style="color:red;">\*</mark>              | String | Last name of Patient's family member                                                                                                                                                                                                               |
| dob<mark style="color:red;">\*</mark>                     | String | <p>Date of Birth of the Patient</p><p>Format: YYYY-MM-DD</p>                                                                                                                                                                                       |
| patient\_id<mark style="color:red;">\*</mark>             | String | Key of the Patient whose family member is going to be added.                                                                                                                                                                                       |
| blood\_group                                              | String | Blood Group of the Patient                                                                                                                                                                                                                         |
| relation<mark style="color:red;">\*</mark>                | String | <p>Relation with the Parent Patient. Possible values are: </p><p>\[ "Brother", "Sister", "Father", "Mother", "Son", "Daughter", "Grand\_Father", "Grand\_Mother", "Uncle", "Aunt", "Wife", "Husband", "Grand\_Daughter", "Grand\_Son" ]</p><p></p> |
| parent\_patient\_mobile<mark style="color:red;">\*</mark> | String | Either pass the Parent patient's Mobile Or Patient ID                                                                                                                                                                                              |

{% tabs %}
{% tab title="200 Patient added successfully." %}

```json
{
    "status_code": "1",
    "status_message": "Family member added successfully",
    "datetime": "2022-12-23 11:36:23",
    "data": {
        "relation": "Brother", // relation with the patient
        "firstname": "Manav",
        "lastname": "Chauhan",
        "mobile": "",
        "patient_family_member_id": "jtyjX7EP2GPrTdF+bFGBww==",
        "blood_group": "B+",
        "dob": "2001-10-14",
        "id": "m3nc908treoPV7VLHehTAA==",
        "profile_picture": ""
    }
}
```

{% endtab %}

{% tab title="200: OK Patient added Failed" %}

```
{
    "status_code": "0",
    "status_message": "This mobile number is already exist as a patient",
    "datetime": "2022-12-23 11:39:53",
    "data": {}
}
```

{% endtab %}

{% tab title="200: OK Validation Error" %}

```json
{
    "status_code": "0",
    "status_message": "\"first_name\" is required",
    "datetime": "2022-12-23 11:40:24",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.evitalrx.in/api-for-patient-app/patients/add-patient-2.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
